
Infrastructure - Task #3860

Move the log4j.properties from the d1_cn_index_processor jar

2013-07-02 23:46 - Jing Tao

Status: Closed Start date: 2013-07-03

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

The d1_cn_index_processor jar file is included in a web apps - metacat-index. 

We tried to add a log4j.properties in the metacat-index/WEB-INF/classes to control the log level. However, it doesn't work. Ben and I

took a look and found there is a log4j.properties file in the d1_cn_index_processor jar. Is it possible to remove it form the jar?

History

#1 - 2013-07-02 23:48 - Ben Leinfelder

- Tracker changed from Task to Feature

- translation missing: en.field_remaining_hours set to 0.0

- Start date deleted (2013-07-02)

- Assignee set to Skye Roseboom

- Category set to 311

Perhaps the components that use this library downstream can provide their own log4j.properties file? Thanks!

#2 - 2013-07-03 14:36 - Skye Roseboom

- Status changed from New to In Progress

#3 - 2013-07-03 14:42 - Skye Roseboom

- Estimated time set to 0.00

- Start date set to 2013-07-03

- Assignee changed from Skye Roseboom to Jing Tao

- Status changed from In Progress to Testing

- Tracker changed from Feature to Task

log4j.properties files were unused by jar - historical.  Removed.

Tao it looks like log4j.properties are no longer in the jar.   Please close this task if the issue looks resolved.

#4 - 2013-07-03 17:13 - Jing Tao

- Status changed from Testing to Closed

The log4j.properties has been removed.
